I got report from cron on mail:
Topic:
Cron <root@server> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )
Body:
/etc/cron.daily/exim:
start-stop-daemon: group 'Debian-exim' not found
start-stop-daemon: group 'Debian-exim' not found No passwd entry for user 'Debian-exim'
run-parts: /etc/cron.daily/exim exited with return code 1
Debian 9x64
Any suggestion how to resolve this?
Edit:
Part of cron which make error:
Is this necessary? Or should I change Debian-exim
ebian-exim to mail:mail?
Topic:
Cron <root@server> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )
Body:
/etc/cron.daily/exim:
start-stop-daemon: group 'Debian-exim' not found
start-stop-daemon: group 'Debian-exim' not found No passwd entry for user 'Debian-exim'
run-parts: /etc/cron.daily/exim exited with return code 1
Debian 9x64
Any suggestion how to resolve this?
Edit:
Part of cron which make error:
Code:
# run tidydb as Debian-exim:Debian-exim.
if [ -x /usr/sbin/exim_tidydb ]; then
cd $SPOOLDIR/db || exit 1
if ! find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
-or -type f -printf '%f\0' | \
xargs -0r -n 1 \
start-stop-daemon --start --exec /usr/sbin/exim_tidydb \
--chuid Debian-exim:Debian-exim -- $SPOOLDIR > /dev/null; then
# if we reach this, invoking exim_tidydb from start-stop-daemon has
# failed, most probably because of libpam-tmpdir being in use
# (see #373786 and #376165)
find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
-or -type f -printf '%f\0' | \
su - --shell /bin/bash \
--command "xargs -0r -n 1 /usr/sbin/exim_tidydb $SPOOLDIR > /dev/null" \
Debian-exim
fi
fi
Is this necessary? Or should I change Debian-exim

Last edited: